List Exposure Types
curl --request GET \
--url https://app.aiinsurance.io/api/external/companies/{companyId}/exposure-types \
--header 'Authorization: <api-key>'import requests
url = "https://app.aiinsurance.io/api/external/companies/{companyId}/exposure-types"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.aiinsurance.io/api/external/companies/{companyId}/exposure-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "b5c0b0cb-6c70-4c82-a558-2840330843c4",
"key": "franchise_truck_dealer",
"label": "Franchise Truck Dealer"
},
{
"id": "d11bc13b-73c2-46e5-97b1-ab10b7c2b481",
"key": "nonfranchise_truck_dealer",
"label": "Nonfranchise Truck Dealer"
}
]
}Exposure Types
List Exposure Types
Returns all exposure types configured for the company. Results are sorted alphabetically by key.
Filtering:
label- Filter by label (case-insensitive substring match)
Required permission: company:read
GET
/
api
/
external
/
companies
/
{companyId}
/
exposure-types
List Exposure Types
Authorizations
API key authentication. Include your API key in the Authorization header.
Path Parameters
Company identifier
Query Parameters
Filter by label (case-insensitive substring match)
Response
List of exposure types
Show child attributes
Show child attributes
Was this page helpful?
⌘I
